Page 4 of 4

Re: Add kmod RAID driver in Centos 7 installer for HP Proliant

Posted: 2020/06/10 08:22:31
by TrevorH
The driver disk you are using there is for CentOS 7.1 and will not work on the more recent ones. If you are installing CentOS 7.1 with the driver disk then it will work but it will stop working as soon as you yum update and boot into a more recent kernel. You also need to install elrepo-release.rpm and make sure that ELRepo is enabled and then, when you yum update, it will find the newer mkod-cciss and update that at the same time as the kernel and should then work.

Re: Add kmod RAID driver in Centos 7 installer for HP Proliant

Posted: 2020/06/11 02:51:34
by DarkEntelechy
Thanks for answering mate. I've got it working and edited my original post to suit, with a few things that I encountered for people who are having issues.

That update thing is a good idea. Currently I used the 7.1 driver on a 7.0 installation which worked great. If I yum update (very new to linux) will it just go to the max 7.3 or whatever it is? It won't update to 8 etc will it?

I've installed the CentOS7 elrepo rpm one from this website the default channel being apparently automatically enabled. That the one you mean?
Is there a way to see what the latest mkod-cciss driver is there so I can make sure I don't go past that version? Done some searching and the latest I've found is this one:
https://centos.pkgs.org/7/elrepo-x86_64 ... 4.rpm.html
Just did some googling and it looks like the latest verion of CentOS7 is 7.8 [released 2020-04-27]
https://en.wikipedia.org/wiki/CentOS#CentOS_version_7
so if yum just kicks me off to 7.8 bypassing all the rest I doubt I'll be yumming anything lol

Regards,

Mick

Re: Add kmod RAID driver in Centos 7 installer for HP Proliant

Posted: 2020/06/11 08:34:56
by TrevorH

Code: Select all

kmod-cciss.x86_64                                3.6.26-7.el7_7.elrepo                                 elrepo
That's the current version.

Re: Add kmod RAID driver in Centos 7 installer for HP Proliant

Posted: 2020/06/12 01:14:40
by toracat
And that kmod-cciss 3.6.26-7.el7_7 is supposed to work under CentOS 7.8.